CollectionManager.BasicBshIterator (jEdit API Documentation)

Package org.gjt.sp.jedit.bsh

## Class CollectionManager.BasicBshIterator

- java.lang.Object
- - org.gjt.sp.jedit.bsh.CollectionManager.BasicBshIterator

- All Implemented Interfaces:
    `BshIterator`
  Enclosing class:
    CollectionManager

      public static class CollectionManager.BasicBshIterator
      extends java.lang.Object
      implements BshIterator

  An implementation that works with JDK 1.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicBshIterator​(java.lang.Object iterateOverMe)` | Construct a basic BasicBshIterator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Enumeration` | `createEnumeration​(java.lang.Object iterateOverMe)` | Create an enumeration over the given object
    `boolean` | `hasNext()` | Returns true if and only if there are more objects available via the `next()` method
    `java.lang.Object` | `next()` | Fetch the next object in the iteration

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicBshIterator

          public BasicBshIterator​(java.lang.Object iterateOverMe)

      Construct a basic BasicBshIterator
      Parameters:
        `iterateOverMe` - The object over which we are iterating
      Throws:
        `java.lang.IllegalArgumentException` - If the argument is not a supported (i.e. iterable) type.
        `java.lang.NullPointerException` - If the argument is null

  - ### Method Detail

    - #### createEnumeration

          protected java.util.Enumeration createEnumeration​(java.lang.Object iterateOverMe)

      Create an enumeration over the given object
      Parameters:
        `iterateOverMe` - Object of type Enumeration, Vector, String, StringBuffer or an array
      Returns:
        an enumeration
      Throws:
        `java.lang.IllegalArgumentException` - If the argument is not a supported (i.e. iterable) type.
        `java.lang.NullPointerException` - If the argument is null

    - #### next

          public java.lang.Object next()

      Fetch the next object in the iteration
      Specified by:
        `next` in interface `BshIterator`
      Returns:
        The next object

    - #### hasNext

          public boolean hasNext()

      Returns true if and only if there are more objects available via the `next()` method
      Specified by:
        `hasNext` in interface `BshIterator`
      Returns:
        The next object